Package org.eclipse.rdf4j.federated.evaluation.concurrent

## Class ParallelTaskBase<T>

- java.lang.Object
- - org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase<T>

- All Implemented Interfaces:
    `ParallelTask<T>`
  Direct Known Subclasses:
    `ParallelBoundJoinTask`, `ParallelCheckJoinTask`, `ParallelGetStatementsTask`, `ParallelJoinTask`, `ParallelLeftJoinTask`, `ParallelPreparedAlgebraUnionTask`, `ParallelPreparedUnionTask`, `ParallelServiceJoinTask`, `ParallelUnionOperatorTask`, `ParallelUnionTask`, `SourceSelection.ParallelCheckTask`

      public abstract class ParallelTaskBase<T>
      extends Object
      implements ParallelTask<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Future<?>` | `scheduledFuture` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParallelTaskBase()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancel()` | Optional implementation to cancel this task on a best effort basis
    `CloseableIteration<T,​QueryEvaluationException>` | `performTask()` |
    `protected abstract CloseableIteration<T,​QueryEvaluationException>` | `performTaskInternal()` |
    `void` | `setScheduledFuture​(Future<?> future)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTask

      `getControl, getQueryInfo`

- - ### Field Detail

    - #### scheduledFuture

          protected Future<?> scheduledFuture

  - ### Constructor Detail

    - #### ParallelTaskBase

          public ParallelTaskBase()

  - ### Method Detail

    - #### cancel

          public void cancel()

      Description copied from interface: `ParallelTask`
      Optional implementation to cancel this task on a best effort basis
      Specified by:
        `cancel` in interface `ParallelTask<T>`

    - #### performTask

          public CloseableIteration<T,​QueryEvaluationException> performTask()
                                                                           throws Exception

      Specified by:
        `performTask` in interface `ParallelTask<T>`
      Throws:
        `Exception`

    - #### performTaskInternal

          protected abstract CloseableIteration<T,​QueryEvaluationException> performTaskInternal()
                                                                                               throws Exception

      Throws:
        `Exception`

    - #### setScheduledFuture

          public void setScheduledFuture​(Future<?> future)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`